Subject: Re: Fwd: [RFC v3] net: Introduce recvmmsg socket syscall

From: Arnaldo Carvalho de Melo <[email-masked]>
Date: Wed, 16 Sep 2009 08:52:18 -0300

Em Wed, Sep 16, 2009 at 02:53:44PM +1000, Simon Horman escreveu:
> On Tue, Sep 15, 2009 at 05:52:07PM -0300, Arnaldo Carvalho de Melo wrote:
> > Em Tue, Sep 15, 2009 at 09:20:13PM +0300, Nir Tzachar escreveu:
> > > >> Setup:
> > > >> linux 2.6.29.2 with the third version of the patch, running on an
> > > >> Intel Xeon X3220 2.4GHz quad core, with 4Gbyte of ram, running Ubuntu
> > > >> 9.04
> > > >
> > > > Which NIC? 10 Gbit/s?
> > > 
> > > 1G. We do not care as much for throughput as we do about latency...
> > 
> > OK, but anyway the 10 Gbit/s cards I've briefly played with all
> > exhibited lower latencies than all 1 gbit/s ones, in fact I've heard
> > about people moving to 10 Gbit/s not for the bw, but for the lower
> > latencies :-)
> 
> Hi Arnaldo,
> 
> Out of curiosity, is that using a 10Gbit card with
> a 10Gbit link or a 1Gbit link?

Its been a while, but most details should be publicly available here:

http://www.stacresearch.com/node/4211

- Arnaldo